"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaChannel = exports.DataChannel = void 0;
class DataChannel {
    constructor() {
        this.channel_type = 'DataChannel';
        this.readyCallbacks = [];
        this.isReady = false;
        this.send = () => {
            //throw Error("DataChannel must be first added to be able to send");
        };
    }
    ready() {
        if (this.isReady) {
            return new Promise(resolve => resolve());
        }
        return new Promise(resolve => this.readyCallbacks.push(resolve));
    }
    _setReady() {
        this.isReady = true;
        this.readyCallbacks.forEach(f => f());
    }
}
exports.DataChannel = DataChannel;
class MediaChannel {
    constructor(track) {
        this.channel_type = 'MediaChannel';
        this.track = track;
    }
}
exports.MediaChannel = MediaChannel;
//# sourceMappingURL=channel.js.map