export class DataChannel {
    constructor() {
        this.channel_type = 'DataChannel';
        this.readyCallbacks = [];
        this.isReady = false;
        this.send = () => {
            //throw Error("DataChannel must be first added to be able to send");
        };
    }
    ready() {
        if (this.isReady) {
            return new Promise(resolve => resolve());
        }
        return new Promise(resolve => this.readyCallbacks.push(resolve));
    }
    _setReady() {
        this.isReady = true;
        this.readyCallbacks.forEach(f => f());
    }
}
export class MediaChannel {
    constructor(track) {
        this.channel_type = 'MediaChannel';
        this.track = track;
    }
}
//# sourceMappingURL=channel.js.map